Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.security.auth.callback
Class URLCallback

    java.lang.Object
      |
      +--weblogic.security.auth.callback.URLCallback

public class URLCallback
extends java.lang.Object
implements javax.security.auth.callback.Callback

Underlying security services instantiate and pass a `URLCallback` to the `invokeCallback` method of a `CallbackHandler` to retrieve URL information.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
See Also:
  `CallbackHandler`

Constructor Summary
`URLCallback(java.lang.String prompt)` Construct a `URLCallback` with a prompt.
`URLCallback(java.lang.String prompt, java.lang.String defaultURL)` Construct a `URLCallback` with a prompt and default URL.

Method Summary
`java.lang.String` | `getdefaultURL()` Get the default URL.
`java.lang.String` | `getPrompt()` Get the prompt.
`java.lang.String` | `getURL()` Get the retrieved URL.
`void` | `setURL(java.lang.String URL)` Set the retrieved URL.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### URLCallback

    public URLCallback(java.lang.String prompt)

  Construct a `URLCallback` with a prompt.

  Parameters:
    `prompt` - the prompt used to request the URL.
  Throws:
    java.lang.IllegalArgumentException - if `prompt` is null or if `prompt` has a length of 0.

### URLCallback

    public URLCallback(java.lang.String prompt,
                       java.lang.String defaultURL)

  Construct a `URLCallback` with a prompt and default URL.

  Parameters:
    `prompt` - the prompt used to request the information.

    `defaultURL` - the URL to be used as the default URL displayed with the prompt.
  Throws:
    java.lang.IllegalArgumentException - if `prompt` is null, if `prompt` has a length of 0, if `defaultURL` is null, or if `defaultURL` has a length of 0.

Method Detail

### getPrompt

    public java.lang.String getPrompt()

  Get the prompt.

  Returns:
    the prompt.

### getdefaultURL

    public java.lang.String getdefaultURL()

  Get the default URL.

  Returns:
    the default URL, or null if this `URLCallback` was not instantiated with a `defaultURL`.

### setURL

    public void setURL(java.lang.String URL)

  Set the retrieved URL.

  Parameters:
    `URL` - the retrieved URL (which may be null).

### getURL

    public java.lang.String getURL()

  Get the retrieved URL.

  Returns:
    the retrieved URL (which may be null)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD